org.apache.sling.hc.util

## Class FormattingResultLog

- java.lang.Object
- - org.apache.sling.hc.api.ResultLog
  - - org.apache.sling.hc.util.FormattingResultLog

All Implemented Interfaces:
  Iterable<ResultLog.Entry>

Deprecated.

    @Deprecated
     @ProviderType
    public class FormattingResultLog
    extends ResultLog

Utility that provides a logging-like facade on a ResultLog

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sling.hc.api.ResultLog

`ResultLog.Entry`

### Constructor Summary

Constructors
Constructor and Description
`FormattingResultLog()` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `critical(String format, Object... args)` Deprecated.
`void` `debug(String format, Object... args)` Deprecated.
`void` `healthCheckError(String format, Object... args)` Deprecated.
`void` `info(String format, Object... args)` Deprecated.
`static String` `msHumanReadable(long millis)` Deprecated. Utility method to return any magnitude of milliseconds in a human readable format using the appropriate time unit (ms, sec, min) depending on the magnitude of the input.
`void` `warn(String format, Object... args)` Deprecated.

### Methods inherited from class org.apache.sling.hc.api.ResultLog

`add, getAggregateStatus, iterator, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### FormattingResultLog

    public FormattingResultLog()

Deprecated.

### Method Detail

#### debug

    public void debug(String format,
                      Object... args)

Deprecated.

#### info

    public void info(String format,
                     Object... args)

Deprecated.

#### warn

    public void warn(String format,
                     Object... args)

Deprecated.

#### critical

    public void critical(String format,
                         Object... args)

Deprecated.

#### healthCheckError

    public void healthCheckError(String format,
                                 Object... args)

Deprecated.

#### msHumanReadable

    public static String msHumanReadable(long millis)

Deprecated.
Utility method to return any magnitude of milliseconds in a human readable format using the appropriate time unit (ms, sec, min) depending on the magnitude of the input.

Parameters:
  `millis` - milliseconds
Returns:
  a string with a number and a unit